<template lang="pug">
  div(id="app")
    reader
    router-view(id="content")
    tool-bar
</template>

<script>
import ToolBar from '@/components/ToolBar'
import Reader from '@/components/Reader'

export default {
  name: 'App',
  components: {
    Reader,
    ToolBar
  }
}
</script>

<style lang="sass">
@import url('https://fonts.googleapis.com/css?family=Ubuntu')

*
  margin: 0
  padding: 0
  border: 0
  font-family: 'Ubuntu', sans-serif

body, html
  width: 100%
  height: 100%

.fa-icon
  width: auto
  height: 1.5vw
  /* You would have to include the following two lines to make this work in Safari */
  max-width: 100%
  max-height: 100%
</style>

<style lang="sass" scoped>
#app
  width: inherit
  height: inherit
  display: flex
  #content
    padding: 1vw
    overflow-y: scroll
    width: 30vw
</style>
